import React, { FC } from 'react';
import { useRole } from 'hooks/useRole';
import { Roles } from 'roles/userRoles';
import { ReservationsListByWeek } from 'components/Dashboard/ReservationPage/ReservationList/ReservationsListByWeek';
import { ReservationList } from 'components/Dashboard/ReservationPage/ReservationList/ReservationList';
import { useRoleObject } from 'hooks/useRoleObject';

export const ReservationListSwitcher: FC = () => {
  const role = useRoleObject();

  return (
    <>
      {typeof role !== undefined && role?.isOperator ? (
        <ReservationsListByWeek />
      ) : (
        <ReservationList />
      )}
    </>
  );
};
